*,
*::after,
*::before {
  box-sizing: border-box;
}

a {
  text-decoration: none;
}
nav {
  text-transform: uppercase;
}

/* INIBIDO PARA USO DE LOGO NO MENU (HEADER) */
/* Usando descritivo na header */
h1 a {
  color: white;
  background-color: #252a37;
  padding: 0.3rem 1rem;
  border-radius: 5px;
}
/* USANDO A IMAGEM NO HEADER - AREDONDANDAMENTO DAS BORDAS */
h1 img {
  border-radius: 30px;
}

header {
  background-color: #252a37;
  position: sticky;
  top: 0;
  z-index: 9999;
}

header .limitador {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.limitador {
  max-width: 1100px;
  width: 95vw;
  margin: auto;
}

/* formatando o menu hamburguer, ocultando as opções */
.menu {
  list-style: none;
  margin: 0;
  padding: 0;
  display: none;
}
nav {
  width: 65%;
}
nav h2 {
  text-align: right;
}
.icone {
  font-size: 1.2rem;
  padding: 1rem;
  height: 50px;
  display: inline-block;
}
h2 a {
  color: rgb(172, 172, 172);
}
.menu a {
  color: rgb(172, 172, 172);
  font-weight: bold;
  background-color: #252a37;
  display: flex;
  justify-content: center;
  height: 50px;
  align-items: center;
}
.menu a:hover,
.menu a:active {
  background-color: #3c3d3f;
}

/* Esta classe será manipulado via JS */
.menu-aberto {
  display: block;
  position: absolute;
  right: 0;
  left: 0;
}

/* media queries */
@media screen and (min-width: 600px) {
  .icone {
    display: none;
  }
  .menu {
    display: flex;
    justify-content: space-between;
    padding: 1rem;
  }
  .menu a {
    padding: 0 1rem;
  }
}

@media screen and (min-width: 800px) {
  html {
    font-size: 18px;
  }
  header .limitador {
    height: 15vh;
  }
}
